## xfsprogs-4.15.0.tar.gz

=== io/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_io
LSRCFILES = xfs_bmap.sh xfs_freeze.sh xfs_mkfile.sh
HFILES = init.h io.h
CFILES = init.c \
	attr.c bmap.c cowextsize.c encrypt.c file.c freeze.c fsync.c \
	getrusage.c imap.c link.c mmap.c open.c parent.c pread.c prealloc.c \
	pwrite.c reflink.c scrub.c seek.c shutdown.c stat.c sync.c truncate.c \
	utimes.c

LLDLIBS = $(LIBXCMD) $(LIBHANDLE) $(LIBFROG) $(LIBPTHREAD)
LTDEPENDENCIES = $(LIBXCMD) $(LIBHANDLE) $(LIBFROG)
LLDFLAGS = -static-libtool-libs

ifeq ($(HAVE_FADVISE),yes)
CFILES += fadvise.c
LCFLAGS += -DHAVE_FADVISE
else
LSRCFILES += fadvise.c
endif

ifeq ($(HAVE_MADVISE),yes)
CFILES += madvise.c
LCFLAGS += -DHAVE_MADVISE
else
LSRCFILES += madvise.c
endif

ifeq ($(HAVE_MINCORE),yes)
CFILES += mincore.c
LCFLAGS += -DHAVE_MINCORE
else
LSRCFILES += mincore.c
endif

ifeq ($(HAVE_SENDFILE),yes)
CFILES += sendfile.c
LCFLAGS += -DHAVE_SENDFILE
else
LSRCFILES += sendfile.c
endif

ifeq ($(HAVE_FIEMAP),yes)
CFILES += fiemap.c
LCFLAGS += -DHAVE_FIEMAP
else
LSRCFILES += fiemap.c
endif

ifeq ($(PKG_PLATFORM),irix)
LSRCFILES += inject.c resblks.c
else
CFILES += inject.c resblks.c
LCFLAGS += -DHAVE_INJECT -DHAVE_RESBLKS
endif

ifeq ($(HAVE_COPY_FILE_RANGE),yes)
CFILES += copy_file_range.c
LCFLAGS += -DHAVE_COPY_FILE_RANGE
endif

ifeq ($(HAVE_SYNC_FILE_RANGE),yes)
CFILES += sync_file_range.c
LCFLAGS += -DHAVE_SYNC_FILE_RANGE
endif

ifeq ($(HAVE_SYNCFS),yes)
LCFLAGS += -DHAVE_SYNCFS
endif

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
endif

ifeq ($(HAVE_FALLOCATE),yes)
LCFLAGS += -DHAVE_FALLOCATE
endif

# Also implies PWRITEV
ifeq ($(HAVE_PREADV),yes)
LCFLAGS += -DHAVE_PREADV -DHAVE_PWRITEV
endif

ifeq ($(HAVE_PWRITEV2),yes)
LCFLAGS += -DHAVE_PWRITEV2
endif

ifeq ($(HAVE_READDIR),yes)
CFILES += readdir.c
LCFLAGS += -DHAVE_READDIR
endif

ifeq ($(HAVE_MREMAP),yes)
LCFLAGS += -DHAVE_MREMAP
endif

ifeq ($(HAVE_MAP_SYNC),yes)
LCFLAGS += -DHAVE_MAP_SYNC
endif

ifeq ($(HAVE_DEVMAPPER),yes)
CFILES += log_writes.c
LLDLIBS += $(LIBDEVMAPPER)
LCFLAGS += -DHAVE_DEVMAPPER
endif

# On linux we get fsmap from the system or define it ourselves
# so include this based on platform type.  If this reverts to only
# the autoconf check w/o local definition, change to testing HAVE_GETFSMAP
ifeq ($(PKG_PLATFORM),linux)
CFILES += fsmap.c
endif

ifeq ($(HAVE_STATFS_FLAGS),yes)
LCFLAGS += -DHAVE_STATFS_FLAGS
endif

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 xfs_bmap.sh $(PKG_SBIN_DIR)/xfs_bmap
	$(LTINSTALL) -m 755 xfs_freeze.sh $(PKG_SBIN_DIR)/xfs_freeze
	$(LTINSTALL) -m 755 xfs_mkfile.sh $(PKG_SBIN_DIR)/xfs_mkfile
install-dev:

-include .dep

=== m4/Makefile ===
#
# Copyright (c) 2003-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

CONFIGURE = \
	libtool.m4 \
	ltoptions.m4 \
	ltsugar.m4 \
	ltversion.m4 \
	lt~obsolete.m4

LSRCFILES = \
	manual_format.m4 \
	package_blkid.m4 \
	package_devmapper.m4 \
	package_globals.m4 \
	package_attr.m4 \
	package_libcdev.m4 \
	package_pthread.m4 \
	package_sanitizer.m4 \
	package_services.m4 \
	package_types.m4 \
	package_unistring.m4 \
	package_utilies.m4 \
	package_uuiddev.m4 \
	multilib.m4 \
	$(CONFIGURE)

default:

include $(BUILDRULES)

install install-dev install-lib: default

realclean: distclean
	rm -f $(CONFIGURE)

=== debian/changelog ===
xfsprogs (4.15.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 23 Feb 2018 13:06:35 -0600

xfsprogs (4.15.0-rc1-1) unstable; urgency=low
  * Use source-only uploads using quilt format (closes: #144876)
  * Includes copy_file_range patch for xfs_io (closes: #890716)
  * Drop libreadline5-dev package dependency (closes: #695875)
  * Includes old metadump CVE-2012-2150 fix (closes: #793495)
  * New upstream release (closes: #874209)

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Feb 2018 10:52:38 -0600

xfsprogs (4.14.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 27 Nov 2017 10:52:38 -0600

xfsprogs (4.13.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Sep 2017 20:42:32 -0500

xfsprogs (4.13.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Sep 2017 11:40:08 -0500

xfsprogs (4.12.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 20 Jul 2017 10:54:03 -0500

xfsprogs (4.11.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 05 May 2017 13:22:41 -0500

xfsprogs (4.10.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sun, 26 Feb 2017 14:02:20 -0600

xfsprogs (4.9.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 05 Jan 2017 16:05:55 -0600

xfsprogs (4.8.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 17 Oct 2016 14:13:45 +1100

xfsprogs (4.7.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Aug 2016 11:35:57 +1000

xfsprogs (4.5.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 15 Mar 2016 12:05:21 +1100

xfsprogs (4.3.0) unstable; urgency=low

  * New upstream release
  * Add a postinst to update the initramfs on install/upgrade.
    (Closes: #804255)

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Nov 2015 15:22:56 +1100

xfsprogs (4.2.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 07 Sep 2015 10:13:54 +1000

xfsprogs (3.2.4) unstable; urgency=low

  * New upstream release
  * Fix xfs_metadump information leak (CVE-2012-2150)

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Jul 2015 15:31:27 +1000

xfsprogs (3.2.3) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Jun 2015 11:35:02 +1000

xfsprogs (3.2.2) unstable; urgency=low

  * New upstream release
  * Rework dh-autoreconf invocation (closes: #757455)
  * Update licensing words for headers (closes: #751511)

 -- Nathan Scott <nathans@debian.org>  Mon, 10 Nov 2014 20:35:27 +1100

xfsprogs (3.2.1) unstable; urgency=low

  * New upstream release (closes: #747080)
  * Add a watch file (closes: #748483)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Jul 2014 13:47:49 +1000

xfsprogs (3.2.0) unstable; urgency=low

  * New upstream release
  * Add dh-autoreconf invocation (closes: #725971)

 -- Nathan Scott <nathans@debian.org>  Sat, 03 May 2014 15:59:55 +1000

xfsprogs (3.1.11) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 08 May 2013 12:59:56 -0500

xfsprogs (3.1.9) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Oct 2012 13:29:00 +1100

xfsprogs (3.1.8) unstable; urgency=low

  * New upstream release
  * Numerous xfs_repair fixes

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Mar 2012 14:21:00 +1100

xfsprogs (3.1.7) unstable; urgency=low

  * New upstream release
  * Fix libreadline build dependency (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Nov 2011 08:47:00 +1100

xfsprogs (3.1.6) unstable; urgency=low

  * New upstream release
  * Handle upcoming libreadline5-dev removal (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Oct 2011 16:47:10 +1100

xfsprogs (3.1.5) unstable; urgency=low

  * New upstream release
  * No more xfsquota error message for non-quota mounts (closes: #618730)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Mar 2011 09:00:00 +1100

xfsprogs (3.1.4) unstable; urgency=low

  * New upstream release (32 projid resolution, fsr uses /proc/mounts)
  * Annotate Debian packages as being team maintained now.
  * Resolve Lenny upgrade issue with xfsdump (closes: #601988, #601710)

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Nov 2010 22:39:04 +1100

xfsprogs (3.1.3) unstable; urgency=low

  * New upstream release
  * Enforce building with libblkid (closes: #593320)

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Aug 2010 23:06:46 +1000

xfsprogs (3.1.2) unstable; urgency=low

  * New upstream release
  * Allow for building on GNU/kFreeBSD (closes: #485796)

 -- Nathan Scott <nathans@debian.org>  Mon, 3 May 2010 14:25:43 +1100

xfsprogs (3.1.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 20:54:22 +1100

xfsprogs (3.1.0) unstable; urgency=low

  * New upstream release
  * Merged German translation (closes: #521389)
  * Merged German translation update (closes: #557100)
  * Uptodate po file is provided now (closes: #538962)
  * Fixed typos in xfs_quota man page (closes: #481715)
  * Tighten permissions on temp fsr files (closes: #559490)

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 09:19:37 +1100

xfsprogs (3.0.4) unstable; urgency=low

  * New bugfix release
  * Resolve a libxfs unaligned access (closes: #517553)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Sep 2009 14:32:48 +1000

xfsprogs (3.0.2) unstable; urgency=low

  * New bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed, 06 May 2009 11:29:18 +1000

xfsprogs (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #263170)


=== debian/control ===
Source: xfsprogs
Section: admin
Priority: optional
Maintainer: XFS Development Team <linux-xfs@vger.kernel.org>
Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: uuid-dev, dh-autoreconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev, libblkid-dev (>= 2.17), linux-libc-dev, libdevmapper-dev, libattr1-dev, libunistring-dev, dh-python
Standards-Version: 4.0.0
Homepage: https://xfs.wiki.kernel.org/

Package: xfsprogs
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Provides: fsck-backend
Suggests: xfsdump, acl, attr, quota
Breaks: xfsdump (<< 3.0.0)
Replaces: xfsdump (<< 3.0.0)
Architecture: any
Description: Utilities for managing the XFS filesystem
 A set of commands to use the XFS filesystem, including mkfs.xfs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at https://xfs.wiki.kernel.org/
 for complete details.

Package: xfslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0), ${misc:Depends}
Breaks: xfsprogs (<< 3.0.0)
Architecture: any
Description: XFS filesystem-specific static libraries and headers
 xfslibs-dev contains the libraries and header files needed to
 develop XFS filesystem-specific programs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at https://xfs.wiki.kernel.org/
 for complete details.

Package: xfsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A stripped-down version of xfsprogs, for debian-installer
 This package is an xfsprogs package built for reduced size, so that it
 can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway, it should fail to install.
